package com.cmvr.ti.service;

import com.cmvr.ti.model.domain.TiVehicleConfig;
import com.cmvr.ti.model.vo.TiVehicleConfigTreeVO;

import java.util.List;

/**
 * 车辆配置Service接口
 */
public interface ITiVehicleConfigService {
    /**
     * 查询车辆配置
     *
     * @param id 车辆配置主键
     * @return 车辆配置
     */
    public TiVehicleConfig selectTiVehicleConfigById(Long id);

    /**
     * 查询车辆配置列表
     */
    public List<TiVehicleConfigTreeVO> selectTiVehicleConfigList();

    /**
     * 新增车辆配置
     *
     * @param tiVehicleConfig 车辆配置
     * @return 结果
     */
    public int insertTiVehicleConfig(TiVehicleConfig tiVehicleConfig);

    /**
     * 修改车辆配置
     *
     * @param tiVehicleConfig 车辆配置
     * @return 结果
     */
    public int updateTiVehicleConfig(TiVehicleConfig tiVehicleConfig);

    /**
     * 批量删除车辆配置
     *
     * @param ids 需要删除的车辆配置主键集合
     * @return 结果
     */
    public int deleteTiVehicleConfigByIds(Long[] ids);

    /**
     * 删除车辆配置信息
     *
     * @param id 车辆配置主键
     * @return 结果
     */
    public int deleteTiVehicleConfigById(Long id);
}
